<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.2"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>ADCS-Hardware-in-the-Loop: Class Members</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
  $(document).ready(function() { init_search(); });
/* @license-end */
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="TUDSaT_.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">ADCS-Hardware-in-the-Loop<span id="projectnumber">&#160;0.0</span>
   </div>
   <div id="projectbrief">This is a hardware in the Loop</div>
  </td>
    <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.svg"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.svg" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.2 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('functions_s.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
<div class="textblock">Here is a list of all class members with links to the classes they belong to:</div>

<h3><a id="index_s" name="index_s"></a>- s -</h3><ul>
<li>safe_output()&#160;:&#160;<a class="el" href="classinternal__transfer_1_1_output_lists.html#aed43548200dfc5beb43af5ee17e80d46">internal_transfer.OutputLists</a></li>
<li>sampling_rate&#160;:&#160;<a class="el" href="classacceleration__sensor_1_1_m_e_m_s3_axis_acceleration_sensor.html#a54c0d6b2499bf056be3e50fe2c2b8e1d">acceleration_sensor.MEMS3AxisAccelerationSensor</a>, <a class="el" href="classdynamics_1_1_dynamics.html#a9e4e62a7349552123af04a1edb4deac6">dynamics.Dynamics</a>, <a class="el" href="classearth__sensor_1_1_earth_sensor.html#afa006310815cdd9252d2617e599e0ad3">earth_sensor.EarthSensor</a>, <a class="el" href="classenvironment_1_1_environment.html#a338bc0c0906ddd666c782f6b3c4f9f23">environment.Environment</a>, <a class="el" href="classgyroscope_1_1_m_e_m_s3_axis_gyroscope.html#a053964caedc4c9bca7566bec9588d84d">gyroscope.MEMS3AxisGyroscope</a>, <a class="el" href="classjson__grabber_1_1_make_dict.html#ad1cd849085a3da6d9442a420fb52e88f">json_grabber.MakeDict</a>, <a class="el" href="classmagnetometer_1_1_fluxgate_magnetometer.html#a42ec34a475a759ac4e9d428ebd297b8f">magnetometer.FluxgateMagnetometer</a>, <a class="el" href="classmain_1_1task__object.html#a626bc8046986904d9e910bd01c2113aa">main.task_object</a>, <a class="el" href="classorbit_1_1_orbit.html#aea02cef639dae5e74400fe0e919e2d4e">orbit.Orbit</a>, <a class="el" href="classsunsensor_1_1_fine_sun_sensor.html#ad0b1050697d4bdcced96dd89fc55c809">sunsensor.FineSunSensor</a>, <a class="el" href="classsunsensor_1_1_photodiode.html#a82ff94922f471f81e4047c610064749f">sunsensor.Photodiode</a></li>
<li>satellite_position&#160;:&#160;<a class="el" href="classinternal__transfer_1_1_output_lists.html#aa011b7c3aabdf42e191e3c886717f8d3">internal_transfer.OutputLists</a></li>
<li>satellite_to_sun()&#160;:&#160;<a class="el" href="classsunsensor_1_1_sunsensor.html#a19a1fced1a8c1c4b2dc2ecdc13ba96af">sunsensor.Sunsensor</a></li>
<li>satellite_velocity&#160;:&#160;<a class="el" href="classinternal__transfer_1_1_output_lists.html#aa70c26d2340aee0f5f7a58b20f0303dc">internal_transfer.OutputLists</a></li>
<li>scale_factor_error&#160;:&#160;<a class="el" href="classacceleration__sensor_1_1_m_e_m_s3_axis_acceleration_sensor.html#aecc09c7dfa280da8dfa992e24fe1642f">acceleration_sensor.MEMS3AxisAccelerationSensor</a></li>
<li>scaling_error&#160;:&#160;<a class="el" href="classmagnetometer_1_1_fluxgate_magnetometer.html#a102688db0c58b138fd27e49882dcb712">magnetometer.FluxgateMagnetometer</a></li>
<li>scope&#160;:&#160;<a class="el" href="classmain_1_1task__object.html#a1ae8fca69b6436fb9e27e7966c4bebfa">main.task_object</a></li>
<li>sensitivity&#160;:&#160;<a class="el" href="classacceleration__sensor_1_1_m_e_m_s3_axis_acceleration_sensor.html#a9ec0b1a2670e2835fc723027ae679f66">acceleration_sensor.MEMS3AxisAccelerationSensor</a>, <a class="el" href="classgyroscope_1_1_m_e_m_s3_axis_gyroscope.html#aabff8bb975d327813bbbc3937227acb1">gyroscope.MEMS3AxisGyroscope</a></li>
<li>sensor_range&#160;:&#160;<a class="el" href="classacceleration__sensor_1_1_m_e_m_s3_axis_acceleration_sensor.html#ae4ac2a048ca5e597b8eaadcac2d9874f">acceleration_sensor.MEMS3AxisAccelerationSensor</a>, <a class="el" href="classgyroscope_1_1_m_e_m_s3_axis_gyroscope.html#a8e6acb187b30851252b9e9139dcc75bf">gyroscope.MEMS3AxisGyroscope</a>, <a class="el" href="classmagnetometer_1_1_fluxgate_magnetometer.html#a8816649f3f484a772b94c8c3bd76d0d4">magnetometer.FluxgateMagnetometer</a></li>
<li>set_error()&#160;:&#160;<a class="el" href="classmagnetometer_1_1_fluxgate_magnetometer.html#acccff361e22670ce6ff86d8bbedb7f7c">magnetometer.FluxgateMagnetometer</a></li>
<li>set_error_matrix()&#160;:&#160;<a class="el" href="classmagnetometer_1_1_fluxgate_magnetometer.html#a97deccca6a3b7898fb3bb9af5d26ae2a">magnetometer.FluxgateMagnetometer</a></li>
<li>set_fov()&#160;:&#160;<a class="el" href="classsunsensor_1_1_photodiode.html#afaebfa2abba6b431c1ebebd58587fefb">sunsensor.Photodiode</a></li>
<li>set_max_current()&#160;:&#160;<a class="el" href="classsunsensor_1_1_photodiode.html#a77935bac0ff334578285343eb1c37959">sunsensor.Photodiode</a></li>
<li>set_sampling_rate()&#160;:&#160;<a class="el" href="classsunsensor_1_1_photodiode.html#abce5cee2b2c5dc7e555d33b60166d307">sunsensor.Photodiode</a></li>
<li>sim_mode&#160;:&#160;<a class="el" href="classview_1_1_tabs.html#a68aca982663037b180c58b781de40f67">view.Tabs</a></li>
<li>sim_time_offset&#160;:&#160;<a class="el" href="classenvironment_1_1_environment.html#aa9229d416dcd19021e4a23471b7c8e45">environment.Environment</a>, <a class="el" href="classorbit_1_1_orbit.html#aa5daa8bdcaac588994396d4903b5e814">orbit.Orbit</a></li>
<li>simulated_time_position&#160;:&#160;<a class="el" href="classmain_1_1_main.html#abbdf12afb0f0d3912aa33f6b7b8cfca3">main.Main</a></li>
<li>simulation&#160;:&#160;<a class="el" href="classview_1_1_tabs.html#a19235fe15c1fa99b2a32959ee4df9720">view.Tabs</a>, <a class="el" href="classwidgets_1_1_yaml_editor_window.html#aadacaf6c7fb546935373928049c80d11">widgets.YamlEditorWindow</a></li>
<li>simulation_outputs&#160;:&#160;<a class="el" href="classmain_1_1_main.html#aaee39100122a3076245dab4dcc5fa878">main.Main</a></li>
<li>start()&#160;:&#160;<a class="el" href="classmain_1_1_main.html#af67b2d9faebc81b85be6efc5ca5467d4">main.Main</a>, <a class="el" href="classview_1_1_tabs.html#a03d0b40b343ea76d7f43e99568856686">view.Tabs</a></li>
<li>start_all()&#160;:&#160;<a class="el" href="classmain_1_1_main.html#a55e25bcaf5894da39b40330b7419d3a3">main.Main</a></li>
<li>start_button&#160;:&#160;<a class="el" href="classview_1_1_tabs.html#a5454f3981e35af6dcdf6789644b44f8b">view.Tabs</a></li>
<li>start_presimulation()&#160;:&#160;<a class="el" href="classmain_1_1_main.html#a59eac67cbac6649ec11a9456fcf7a643">main.Main</a></li>
<li>state_derivative()&#160;:&#160;<a class="el" href="classdynamics_1_1_dynamics.html#ad012f561b828df1a38e0520d88235174">dynamics.Dynamics</a></li>
<li>status_sim&#160;:&#160;<a class="el" href="classview_1_1_tabs.html#aeb038b8947ee6164eca16d44289a7600">view.Tabs</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.2 </li>
  </ul>
</div>
</body>
</html>
